#include <lib/std.mi>
#include <lib/config.mi>

Global GuiObject guiobjectDropDown;
Global Text textDropDownList;
Global String attribguid = "", listitems = "";

Global ConfigAttribute notifier_attrib1, notifier_attrib2, 
			notifier_attrib3, notifier_attrib4, notifier_attrib5;

System.onScriptLoaded() {
	guiobjectDropDown = getScriptGroup().getObject("dropdownlist");
	textDropDownList = guiobjectDropDown.findObject("dropdownlist.text");

}

System.onSetXuiParam(String stringParam, String stringValue) {
	if (strlower(stringParam) == "items") {
		guiobjectDropDown.setXmlParam("items", stringValue);
		listitems = stringValue;
	}
	if (strlower(stringParam) == "cfgattribguid") attribguid = stringValue;

	if ((listitems == "") || (attribguid == "")) return;

	configItem item = Config.getItembyGuid(attribguid);
	if (getToken(listitems,";",0)!="") {
		notifier_attrib1 = item.getAttribute(getToken(listitems,";",0));
		if (notifier_attrib1!=NULL) notifier_attrib1.onDataChanged();
	}
	if (getToken(listitems,";",1)!="") {
		notifier_attrib2 = item.getAttribute(getToken(listitems,";",1));
		if (notifier_attrib2!=NULL) notifier_attrib2.onDataChanged();
 	}
	if (getToken(listitems,";",2)!="") {
		notifier_attrib3 = item.getAttribute(getToken(listitems,";",2));
		if (notifier_attrib3!=NULL) notifier_attrib3.onDataChanged();
	}
	if (getToken(listitems,";",3)!="") {
		notifier_attrib4 = item.getAttribute(getToken(listitems,";",3));
		if (notifier_attrib4!=NULL) notifier_attrib4.onDataChanged();
	}
	if (getToken(listitems,";",4)!="") {
		notifier_attrib5 = item.getAttribute(getToken(listitems,";",4));
		if (notifier_attrib5!=NULL) notifier_attrib5.onDataChanged();
	}
}

textDropDownList.onTextChanged(String stringNewText) {
	configItem item = Config.getItembyGuid(attribguid);
	configAttribute attrRepeat = item.getAttribute(stringNewText);
	attrRepeat.setData("1");
}

notifier_attrib1.onDataChanged() { if (getData()=="0") return; guiobjectDropDown.setXmlParam("default", getAttributeName()); }
notifier_attrib2.onDataChanged() { if (getData()=="0") return; guiobjectDropDown.setXmlParam("default", getAttributeName()); }
notifier_attrib3.onDataChanged() { if (getData()=="0") return; guiobjectDropDown.setXmlParam("default", getAttributeName()); }
notifier_attrib4.onDataChanged() { if (getData()=="0") return; guiobjectDropDown.setXmlParam("default", getAttributeName()); }
notifier_attrib5.onDataChanged() { if (getData()=="0") return; guiobjectDropDown.setXmlParam("default", getAttributeName()); }