/*
	Anunaki - fs-declr.m
	by Leechbite

	- declarations for fs.m
*/

#define VID_GUID "{F0816D7B-FFFC-4343-80F2-E8199AA15CC3}"
#define VIS_GUID "{0000000A-000C-0010-FF7B-01014263450C}"
#define PL_GUID "{45F3F7C1-A6F3-4EE6-A15E-125E92FC3F8D}"
#define ML_GUID "{6B0EDF80-C9A5-11D3-9F26-00C04F39FFC6}"

#define VID_ID 1
#define VIS_ID 2
#define PL_ID 3
#define ML_ID 4

#define SKINTWEAKS_CFGPAGE "{0542AFA4-48D9-4c9f-8900-5739D52C114F}"

#define PL_MINWIDTH 150

// priority codes
#define PRIO_EQ 1
#define PRIO_CLOCK 2
#define PRIO_CT 3

// resolution modes
#define RES_CURRENT -1
#define RES_AUTO 1
#define RES_VIEWP 2
#define RES_CUSTOM 3

function centerObject(guiObject obj, boolean centx, boolean centy);

function fsLoad();
function fsUnLOad();

function fsonSwitchToLayout(layout lay);
function fsonBeforeSwitchToLayout(layout oldl, layout lay);

function showComponent(int compID);
function hideComponent(int compID);

function resizefsWindow(int x, int y, int w, int h);
function resizePLWidth(int w);
function setfsResolution(int mode);
function int getAutoResWidth();
function int getAutoResHeight();
function setCustomRes();
function setToCustomRes();

function disablePSOVC();
function enablePSOVC();

function refreshEQCTCl();

class group tileLayer;

global group fsbase1group;
global layer fsbase1groove;

global group fsbase2group, fscbuttonsGroup;

global layer fsbase2groove;
global tileLayer fsbase2ventleft, fsbase2ventright;

global button fsResButton;

global WindowHolder whPL, whML, whAVS, whVID;
global group fsVis, fsPL, fsML, fsBarOsc;
global boolean fsLocalOpen, fsLocalClose;
global boolean fsLocalAVS, fsLocalVID;
global timer callbackTimerShow,callbackTimer2,callbackTimerResizer,callbackTimerLoad;
global int showcompID;
global boolean VIDvisible, VISvisible;
global timer PSOVCTimer;

global layer fsPLresizer;
global int fsPLresizerX, orgPLWid, fsPLMaxWidth, newPLwid;
global timer fsPLresizerTimer;
global boolean PLresizerLBDown = 0;
global layer resizer; // temp - used for testing

global group fsEq, fsClock, fsCT;
global timer callrefresh;
global boolean eqattribchange = 0;
global layout oldlayout;

global button customresOk, customresCancel;

global button togglePL, toggleVID, toggleML, toggleAVS;
global boolean firstopen = 1;
