/*************************************************************

  Anunaki - tokeninfoline.m
  by Leechbite

  - this script controls the tockenized info line.

*************************************************************/

#include <lib/std.mi>

Global group frameGroup;
Global text infoline;
Global timer infolineRefresh;
Global string currInfoline;
Global int tokennum;

System.onScriptLoaded() {

  frameGroup = getScriptGroup();

  infoline = frameGroup.findObject("tokeninfoline");

  infolineRefresh = new Timer;
  infolineRefresh.setDelay(2000);

  system.onInfoChange(getSongInfoText());

  tokennum = 0;
}

system.onScriptUnloading() {
  delete infolineRefresh;
}

system.onInfoChange(string txt) {
  infolineRefresh.stop();
  currInfoline = txt;

  infolineRefresh.onTimer();
  infolineRefresh.start();
}

infolineRefresh.onTimer() {
  string disptxt = getToken(currInfoline, " ", tokennum);

  if (disptxt=="") {
    tokennum = 0;
    disptxt = getToken(currInfoline, " ", tokennum);
  }

  tokennum++;

  infoline.setText(disptxt);
}