/*************************************************************

  Anunaki - xui-button2.m
  by Leechbite

  Anunaki:Button2 XUI Object Scripts

  added parameters:

    iconImage - image id for small icon on button

*************************************************************/

#include <lib/std.mi>

function refreshLabels();

Global group ButtonGroup;
Global guiobject realButton;
Global layer buttonIcon;

System.onScriptLoaded() {
  ButtonGroup = getScriptGroup();

  realButton = buttonGroup.getObject("anunaki.button2");
  buttonIcon = buttonGroup.getObject("anunaki.button2.icon");
}

System.onScriptUnloading() {
  realButton = NULL;  // clears all events
  buttonGroup = NULL;
}

System.onSetXuiParam(String param, String value) {
  param = system.strlower(param);
  if (param=="iconimage") {
    buttonIcon.setXMLParam("image", value);
  } else if (param=="xuitooltip") {
    realButton.setXMLParam("tooltip", value);
  }
}