/*********************************************************************

	Anunaki - main.m
	by Leechbite

	- main maki script, does all the other functions of the
	skin.

*********************************************************************/

#include <lib/std.mi>
#include <lib/config.mi>
#include "temptext.m"
#include "attribs.m"
#include "AutoRepeatButton.m"  // thanks Will :)

// **** global definitions *****

#define DRAWER_OPEN 1
#define DRAWER_cLOSE 0
#define FALSE 0
#define TRUE 1

// **** global variables *****

global Container maincont;
global Layout mainnormal, mainstick, mainshade, mainfs;

#include "buttons-declr.m"
#include "beatvis-declr.m"
#include "volseek-declr.m"
#include "eq-declr.m"
#include "fs-declr.m"
#include "fs-wheel-declr.m"

#include "buttons.m"
#include "beatvis.m"
#include "volseek.m"
#include "eq.m"
#include "songinfo.m"
#include "fs.m"
#include "fs-wheel.m"
#include "pmodes.m"

System.onScriptLoaded() {
  maincont = getContainer("main");
  mainnormal = maincont.getLayout("normal");
  mainstick = maincont.getLayout("stick");
  mainshade = maincont.getLayout("shade");
  mainfs = maincont.getLayout("party!");

  AutoRepeat_Load();
  initattribs();
  temptextLoad();
  buttonsLoad();
  beatvisLoad();
  fswheelLoad();
  volseekLoad();
  eqLoad();
  songinfoLoad();
  fsLoad();
  pmodesLoad();

  setTempText("Anunaki v1.1");
}

System.onScriptUnLoading() {
  AutoRepeat_UnLoad();
  temptextUnload();
  buttonsUnLoad();
  beatvisUnLoad();
  volseekUnLoad();
  eqUnLoad();
  fsUnLoad();
  fswheelUnLoad();
  pmodesUnLoad();
}

system.onTitleChange(String newtitle) {
  songinfoOnTitleChange();
  buttonsOnTitleChange(newtitle);
  beatvisonTitleChange();
  eqOnTitleChange();
}

System.onKeyDown(String k) {
  eqOnKeyDown(k);
}

maincont.onBeforeSwitchToLayout(Layout oldl, Layout newlay) {
  fsonBeforeSwitchToLayout(oldl, newlay);
}

maincont.onSwitchToLayout(Layout newlay) {
  pmodesSwitchToLayout(newlay);
  fsonSwitchToLayout(newlay);
}