/*
	Anunaki - pmodes.m
	by Leechbite

	- player modes (skin options menu) scripts
*/

function pmodesLoad();
function pmodesUnLoad();
function pmodesSwitchToLayout(layout newlay);

pmodesLoad() {
  if (mainnormal.isVisible()) pmode_normal_attrib.setData("1");
  if (mainstick.isVisible()) pmode_stick_attrib.setData("1");
  if (mainshade.isVisible()) pmode_shade_attrib.setData("1");
  if (mainfs.isVisible()) pmode_party_attrib.setData("1");
}

pmodesUnLoad() {
  return;
}

pmodesSwitchToLayout(layout newlay) {
  if (mainnormal.isVisible()) pmode_normal_attrib.setData("1");
  if (mainstick.isVisible()) pmode_stick_attrib.setData("1");
  if (mainshade.isVisible()) pmode_shade_attrib.setData("1");
  if (mainfs.isVisible()) pmode_party_attrib.setData("1");
}

pmode_normal_attrib.onDataChanged() {
  if (getData() != "1") return;
  if (mainnormal.isVisible()) return;

  maincont.switchToLayout("normal");
}

pmode_stick_attrib.onDataChanged() {
  if (getData() != "1") return;
  if (mainstick.isVisible()) return;

  maincont.switchToLayout("stick");
}

pmode_shade_attrib.onDataChanged() {
  if (getData() != "1") return;
  if (mainshade.isVisible()) return;

  maincont.switchToLayout("shade");
}


pmode_party_attrib.onDataChanged() {
  if (getData() != "1") return;
  if (mainfs.isVisible()) return;

  maincont.switchToLayout("party!");
}